Subject: [MIB-DOCTORS] Errata against RFC 1628

From: Ronald Bonica <[email-masked]>
Date: Tue, 3 Jul 2012 11:03:28 -0400

Folks,

Could someone please comment on the errata (below) against RFC 1628? Am I correct in assuming that the text in the RFC won't compile at all?

--------------------------
Ron Bonica
vcard:       www.bonica.org/ron/ronbonica.vcf

Errata ID: 3275

Status: Reported
Type: Technical

Reported By: Jürgen Sellinath
Date Reported: 2012-07-03
Section 4 says:

UPS-MIB DEFINITIONS ::= BEGIN

   IMPORTS
       MODULE-IDENTITY, OBJECT-TYPE, NOTIFICATION-TYPE,
       OBJECT-IDENTITY, Counter32, Gauge32, Integer32
           FROM SNMPv2-SMI
       DisplayString, TimeStamp, TimeInterval, TestAndIncr,
         AutonomousType
           FROM SNMPv2-TC
       MODULE-COMPLIANCE, OBJECT-GROUP
           FROM SNMPv2-CONF;

It should say:

UPS-MIB DEFINITIONS ::= BEGIN

   IMPORTS
       MODULE-IDENTITY, OBJECT-TYPE, NOTIFICATION-TYPE,
       OBJECT-IDENTITY, Counter32, Gauge32, Integer32
           FROM SNMPv2-SMI
       DisplayString, TimeStamp, TimeInterval, TestAndIncr,
         AutonomousType, TEXTUAL-CONVENTION
           FROM SNMPv2-TC
       MODULE-COMPLIANCE, OBJECT-GROUP
           FROM SNMPv2-CONF;

Notes:

Textual conventions are used within this MIB, but the macro "TEXTUAL-CONVENTION" itself is not imported, as it should (RFC 2578 §3.2).

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 3 Jul 2012 18:35:30 +0200

> Could someone please comment on the errata (below) against RFC 1628? Am I correct in assuming that the text in the RFC won't compile at all?

Yep. There are also invalid range restrictions:

Index: src/libsmi/mibs/ietf/UPS-MIB
===================================================================
--- src/libsmi/mibs/ietf/UPS-MIB	(revision 706)
+++ src/libsmi/mibs/ietf/UPS-MIB	(working copy)
@@ -1013,7 +1013,7 @@
     ::= { upsControl 1 }
 
 upsShutdownAfterDelay OBJECT-TYPE
-    SYNTAX     INTEGER (-1..2147483648)
+    SYNTAX     INTEGER (-1..2147483647)
     UNITS      "seconds"
     MAX-ACCESS read-write
     STATUS     current
@@ -1041,7 +1041,7 @@
     ::= { upsControl 2 }
 
 upsStartupAfterDelay OBJECT-TYPE
-    SYNTAX     INTEGER (-1..2147483648)
+    SYNTAX     INTEGER (-1..2147483647)
     UNITS      "seconds"
     MAX-ACCESS read-write
     STATUS     current

No, I am too lazy to file erratas at the moment...

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Ronald Bonica <[email-masked]>
Date: Tue, 3 Jul 2012 15:27:10 -0400

Thanks much. I will verify this errata and another that reports the out-of-range value.

                                               Ron

> -----Original Message-----
> From: Juergen Schoenwaelder [mailto:j.schoenwaelder@jacobs-
> university.de]
> Sent: Tuesday, July 03, 2012 12:36 PM
> To: Ronald Bonica
> Cc: [email-masked]
> Subject: Re: [MIB-DOCTORS] Errata against RFC 1628
> 
> > Could someone please comment on the errata (below) against RFC 1628?
> Am I correct in assuming that the text in the RFC won't compile at all?
> >
>

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 3 Jul 2012 12:36:24 -0700

Hi -

Yes, the omission of TEXTUAL-CONVENTION from the IMPORTS is
an error.

I don't know what the current implementation consensus is,
but historically, some MIB compilers did not check to see whether
TEXTUAL-CONVENTION was imported, and some responded to
it with only a warning rather than an error message.

Given RFC 1628's age, it's not particularly surprising that it doesn't
quite align with RFC 2578  :-).

Randy

----- Original Message ----- 
From: "Ronald Bonica" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, July 03, 2012 8:03 AM
Subject: [MIB-DOCTORS] Errata against RFC 1628

Folks,

Could someone please comment on the errata (below) against RFC 1628? Am I correct in assuming that the text in the RFC won't compile
at all?

Errata ID: 3275

Status: Reported
Type: Technical

   IMPORTS

It should say:

   IMPORTS

Notes:

Textual conventions are used within this MIB, but the macro "TEXTUAL-CONVENTION" itself is not imported, as it should (RFC 2578
§3.2).

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mib-doctors